Bug 209526 - clusvcadm hangs if node processing request dies
clusvcadm hangs if node processing request dies
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 16:00 EDT by Lon Hohberger
Modified: 2009-04-16 18:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2006-10-05 16:00:45 EDT
+++ This bug was initially created as a clone of Bug #201396 +++

Description of problem:
Got into the senario where a force unmount was needed inorder to relocate the HA
filesystem service. When the unmount failed a self_fence was needed. After that
happened the original relocate cmd hung.

[root@taft-02 ~]# clustat
Member Status: Quorate

  Member Name                              Status
  ------ ----                              ------
  taft-01                                  Online, rgmanager
  taft-02                                  Online, Local, rgmanager
  taft-03                                  Online, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  nfs1                 taft-01                        started

[root@taft-02 ~]# clusvcadm -r nfs1 -m taft-02
Trying to relocate nfs1 to taft-02...                                    

Version-Release number of selected component (if applicable):
[root@taft-02 ~]# rpm -q rgmanager
rgmanager-1.9.51-0
[root@taft-02 ~]# uname -ar
Linux taft-02 2.6.9-42.ELsmp #1 SMP Wed Jul 12 23:32:02 EDT 2006 x86_64 x86_64
x86_64 GNU/Lix


How reproducible:
everytime you get into this senario
Comment 3 Kiersten (Kerri) Anderson 2007-04-23 13:27:35 EDT
Fixing Product Name.  Cluster Suite was integrated into the Enterprise Linux for
version 5.0.
Comment 5 RHEL Product and Program Management 2007-05-01 13:41:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2007-11-07 11:45:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html

Note You need to log in before you can comment on or make changes to this bug.